> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindset.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve contexts



## OpenAPI

````yaml /deploy/api/openapi.json get /api/v1/appuid/{appUid}/contexts
openapi: 3.0.1
info:
  title: Mindset API Gateway
  version: 1.2.0
servers:
  - url: https://a.api.mindset.ai
  - url: https://b.api.mindset.ai
  - url: https://c.api.mindset.ai
  - url: https://d.api.mindset.ai
security: []
tags:
  - name: Agent Configuration
  - name: Agent Sessions
  - name: AppStatus
  - name: Context Files
  - name: Contexts
  - name: DynamicComponents
  - name: Labels
  - name: SDK Users
  - name: Threads
  - name: Webhooks
  - name: Agent Management (deprecated)
paths:
  /api/v1/appuid/{appUid}/contexts:
    get:
      tags:
        - Contexts
      summary: Retrieve contexts
      operationId: getContexts
      parameters:
        - name: appUid
          in: path
          description: Your application's uid
          required: true
          schema:
            minLength: 1
            type: string
        - name: startAfter
          in: query
          description: Start after the given createdAt timestamp (ISO 8601) for pagination
          schema:
            type: string
            format: date-time
        - name: externalTenantId
          in: query
          description: Only include Contexts for externalTenantId
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval
          content:
            application/json:
              schema:
                type: object
                properties:
                  contexts:
                    type: array
                    items:
                      type: object
                      properties:
                        uid:
                          type: string
                          description: Unique ID of the context
                        name:
                          type: string
                        description:
                          type: string
                        externalId:
                          type: string
                          description: Optional External ID of the context
                        createdAt:
                          type: string
                          description: Creation timestamp (ISO 8601)
                          format: date-time
                        isSynced:
                          type: boolean
                          description: Is the context synced
                        externalTenantId:
                          type: string
                          description: External tenant identifier
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: Forbidden
          content: {}
        '404':
          description: Context not found
          content: {}
        '500':
          description: Internal Server Error
          content: {}
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: x-api-key
      in: header

````